Bug 261159 - devel/py-amalgamate installs a LICENSE in /usr/local
Summary: devel/py-amalgamate installs a LICENSE in /usr/local
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Fukang Chen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-12 21:22 UTC by Stefan Eßer
Modified: 2022-02-10 11:20 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (python)


Attachments
patch (1.77 KB, patch)
2022-01-18 16:40 UTC, Fukang Chen
lwhsu: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Eßer freebsd_committer 2022-01-12 21:22:45 UTC
The devel/py-amalgamate port installs a file /usr/local/LICENSE.

Please fix the port to either install the file in a port specific location or not at all (since another LICENSE file is installed in the correct place).
Comment 1 Fukang Chen freebsd_committer 2022-01-18 16:40:52 UTC
Created attachment 231133 [details]
patch
Comment 2 Li-Wen Hsu freebsd_committer 2022-02-08 03:44:50 UTC
LGTM.

Approved by: lwhsu (python)
Comment 3 commit-hook freebsd_committer 2022-02-10 11:01:02 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=33e2061728d30f5e43912b604da958ede94ba59f

commit 33e2061728d30f5e43912b604da958ede94ba59f
Author:     Fukang Chen <loader@FreeBSD.org>
AuthorDate: 2022-01-18 15:26:35 +0000
Commit:     Fukang Chen <loader@FreeBSD.org>
CommitDate: 2022-02-10 10:55:14 +0000

    devel/py-amalgamate: Fix data_files install location

    - Install data_files into ${DOCSDIR} instead of ${PREFIX}
    - Allow concurrent installation for bin/amalgamate.py and ${DOCSDIR}

    PR:             261159
    Approved by:    lwhsu (python)
    MFH:            2022Q1 (ports compliance)

 devel/py-amalgamate/Makefile                   |  6 +++++-
 devel/py-amalgamate/files/patch-setup.py (new) | 11 +++++++++++
 2 files changed, 16 insertions(+), 1 deletion(-)
Comment 4 commit-hook freebsd_committer 2022-02-10 11:14:06 UTC
A commit in branch 2022Q1 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b19f93882a7c53f2da0f0b8c2850f61128c6d3f4

commit b19f93882a7c53f2da0f0b8c2850f61128c6d3f4
Author:     Fukang Chen <loader@FreeBSD.org>
AuthorDate: 2022-01-18 15:26:35 +0000
Commit:     Fukang Chen <loader@FreeBSD.org>
CommitDate: 2022-02-10 11:12:25 +0000

    devel/py-amalgamate: Fix data_files install location

    - Install data_files into ${DOCSDIR} instead of ${PREFIX}
    - Allow concurrent installation for bin/amalgamate.py and ${DOCSDIR}

    PR:             261159
    Approved by:    lwhsu (python)
    MFH:            2022Q1 (ports compliance)

    (cherry picked from commit 33e2061728d30f5e43912b604da958ede94ba59f)

 devel/py-amalgamate/Makefile                   |  6 +++++-
 devel/py-amalgamate/files/patch-setup.py (new) | 11 +++++++++++
 2 files changed, 16 insertions(+), 1 deletion(-)
Comment 5 Fukang Chen freebsd_committer 2022-02-10 11:20:43 UTC
Committed, thanks!